VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Object = "{1A9139CD-5F94-11D3-ACB9-0040C7296C9E}#1.0#0"; "MCIAct~1.ocx"
Begin VB.Form frmMain 
   Caption         =   "MCI Player - Moon Valley Software"
   ClientHeight    =   2550
   ClientLeft      =   165
   ClientTop       =   855
   ClientWidth     =   6030
   LinkTopic       =   "Form1"
   ScaleHeight     =   2550
   ScaleWidth      =   6030
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txt_times 
      Height          =   285
      Left            =   4680
      TabIndex        =   6
      Top             =   840
      Width           =   495
   End
   Begin VB.CheckBox chk_loop 
      Caption         =   "Loop"
      Height          =   375
      Left            =   4680
      TabIndex        =   5
      Top             =   360
      Width           =   855
   End
   Begin VB.TextBox txt_file 
      Height          =   375
      Left            =   1320
      TabIndex        =   4
      Top             =   1800
      Width           =   4335
   End
   Begin VB.CommandButton btn_stop 
      Caption         =   "Stop"
      Height          =   375
      Left            =   3600
      TabIndex        =   3
      Top             =   1200
      Width           =   975
   End
   Begin VB.CommandButton btn_playTimes 
      Caption         =   "Play..."
      Height          =   375
      Left            =   3600
      TabIndex        =   2
      Top             =   720
      Width           =   975
   End
   Begin VB.CommandButton btn_play 
      Caption         =   "Play"
      Height          =   375
      Left            =   3600
      TabIndex        =   1
      Top             =   360
      Width           =   975
   End
   Begin VB.CommandButton btn_open 
      Caption         =   "Open"
      Height          =   375
      Left            =   360
      TabIndex        =   0
      Top             =   1800
      Width           =   855
   End
   Begin VB.Frame frame_main 
      Caption         =   "MVS MCI Player"
      Height          =   2295
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   5775
      Begin VB.Label Label1 
         Caption         =   "Times"
         Height          =   255
         Left            =   5160
         TabIndex        =   8
         Top             =   840
         Width           =   495
      End
      Begin VB.Image Image1 
         Height          =   1155
         Left            =   240
         Picture         =   "frmMain.frx":0000
         Top             =   360
         Width           =   3000
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin MCIACTIVEXCONTROLLib.MCIActiveXcontrol MCI 
      Height          =   375
      Left            =   480
      TabIndex        =   9
      Top             =   0
      Visible         =   0   'False
      Width           =   375
      _Version        =   65536
      _ExtentX        =   661
      _ExtentY        =   661
      _StockProps     =   0
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpBar0 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About "
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hWnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Private Const SW_SHOWNORMAL = 1

Private Sub Image1_Click()
    Dim lRet As Long
    Dim sText As String
    sText = "http://activex.moonvalley.com"
    lRet = ShellExecute(hWnd, "open", sText, vbNull, vbNull, SW_SHOWNORMAL)
    If lRet >= 0 And lRet <= 32 Then
        MsgBox "Unable to start Web browser !"
    End If
End Sub

Private Sub btn_open_Click()
    CommonDialog1.ShowOpen
    
    txt_file.Text = CommonDialog1.FileName
    MCI.file = CommonDialog1.FileName
End Sub

Private Sub btn_play_Click()
    MCI.Play
End Sub

Private Sub btn_playTimes_Click()
    If txt_times.Text = "" Then
        MsgBox "Please enter the value to repeat"
        Exit Sub
    End If
    
    If txt_times.Text > "0" Then
        MCI.PlayTimes (txt_times.Text)
    End If
End Sub

Private Sub btn_stop_Click()
    MCI.Stop
End Sub

Private Sub chk_loop_Click()
    If chk_loop.Value = 1 Then
        MCI.Loop = True
        Else
        MCI.Loop = False
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim i As Integer


    'close all sub forms
    For i = Forms.Count - 1 To 1 Step -1
        Unload Forms(i)
    Next
    If Me.WindowState <> vbMinimized Then
        SaveSetting App.Title, "Settings", "MainLeft", Me.Left
        SaveSetting App.Title, "Settings", "MainTop", Me.Top
        SaveSetting App.Title, "Settings", "MainWidth", Me.Width
        SaveSetting App.Title, "Settings", "MainHeight", Me.Height
    End If
End Sub

Private Sub mnuHelpAbout_Click()
    frmAbout.Show vbModal, Me
End Sub

